import { jsx } from "react/jsx-runtime";
import { TokenBOA as TokenBOA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBOA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BOA", "data-name": "TokenBOA", ...props, children: /* @__PURE__ */ jsx(TokenBOA$1, { variant }) });
  }
);
TokenBOA.displayName = "TokenBOA";
Object.assign(TokenBOA, { isGdsIcon: true });
export {
  TokenBOA
};
